#!/usr/local/bin/perl -w
#
#   info.pl 5.12.00
#
#   Print some system information
#
#   Digicomp AG
#   Pirmin Kalberer <pka@sourcepole.ch>
#

use strict;

my $argc = $#ARGV + 1; # Number of arguments
if ($argc == 0 || $argc > 5) {
    print STDERR "1-5 Arguments expected.\n";
} else {
    print "Arguments:\n";
    for (my $arg = 0; $arg < $argc; $arg++) {
    	print "\$ARGV[$arg]=$ARGV[$arg]\n"
    }
}

print "\nEnvironment:\n";
foreach my $envkey ( sort keys %ENV ) {
    print "$envkey=$ENV{$envkey}\n"
}

print "\nCurrent Process-ID: $$\n";
