#!/usr/local/bin/perl -w
#
#   pid.pl 29.12.00
#
#   Digicomp AG
#   Pirmin Kalberer <pka@sourcepole.ch>
#

use strict;

my $title = 'PID Info';
my $author = 'pka@sourcepole.ch';

# Print HTML-Header:
print "<HTML>
<HEAD>
<TITLE>$title</TITLE>
</HEAD>
<H1>$title</H1>
\n";

# Print Prozess-ID:
print "<B>PID: $$</B>\n";

# Print Input-Files:
print "<BR><BR><PRE>";
while (<>) {
  # Verarbeitung Zeileninhalt aus Variable $_
  
  # Ungefilterte Ausgabe:
  # print $_;
  
  # Nur die ersten 15 Zeichen:
  chomp($_);
  print substr($_, 0, 15), "\n";
}
print "</PRE>";

# Print HTML-Footer:
print "
<BR>
<ADDRESS>
<A HREF = \"mailto:$author\">$author</A>
</ADDRESS>
</BODY>

</HTML>
\n";
